Bug 844405 - PartitionException: Parted can't resize partitions managed by Windows Dynamic Disk.
PartitionException: Parted can't resize partitions managed by Windows Dynamic...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
abrt_hash:ff4509e39b7e9ae3c2ae01233b4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 09:57 EDT by mario
Modified: 2013-07-31 19:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:55:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb-51VR8m (376.83 KB, text/plain)
2012-07-30 09:57 EDT, mario
no flags Details

  None (edit)
Description mario 2012-07-30 09:57:08 EDT
libreport version: 2.0.10
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/loop3 --lang en_US.UTF-8
executable:     /sbin/anaconda
exnFileName:    /tmp/anaconda-tb-51VR8m
hashmarkername: anaconda
kernel:         3.3.4-5.fc17.x86_64
other involved packages: pyparted-3.8-3.fc17.x86_64
product:        Fedora
release:        Fedora release 17 (Beefy Miracle)
time:           Mon 30 Jul 2012 07:52:54 PM EEST
version:        17

anaconda-tb-51VR8m: Text file, 385877 bytes

description:
:The following was filed automatically by anaconda:
:anaconda 17.29 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/parted/disk.py", line 309, in setPartitionGeometry
:    start, end)
:  File "/usr/lib64/python2.7/site-packages/parted/decorators.py", line 32, in new
:    ret = fn(*args, **kwds)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 1270, in _setTargetSize
:    start=geometry.start, end=geometry.end)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 583, in <lambda>
:    lambda s, v: s._setTargetSize(v),
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/deviceaction.py", line 364, in __init__
:    self.device.targetSize = newsize
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/iw/autopart_type.py", line 129, in whichToShrink
:    actions.append(ActionResizeDevice(request, newSize))
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/iw/autopart_type.py", line 170, in getNext
:    (rc, actions) = whichToShrink(self.storage, self.intf)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1197, in nextClicked
:    rc = self.currentWindow.getNext ()
:PartitionException: Parted can't resize partitions managed by Windows Dynamic Disk.

environ:
:LC_NUMERIC=C
:LIBUSER_CONF=/tmp/libuser.VY4kw4
:LVM_SUPPRESS_FD_WARNINGS=1
:LOGNAME=root
:USER=root
:GCONF_GLOBAL_LOCKS=1
:PATH=/sbin:/usr/sbin:/usr/sbin:/usr/bin:/sbin:/bin:/root/bin:/sbin:/usr/sbin
:PIXMAPPATH=/tmp/updates/pixmaps/:/tmp/updates/:/tmp/product/pixmaps/:/tmp/product/:pixmaps/:/usr/share/anaconda/pixmaps/:/usr/share/pixmaps/:/usr/share/anaconda/:/usr/share/python-meh/:/usr/share/icons/Fedora/48x48/apps/
:HOME=/tmp
:DISPLAY=:0.0
:ANACONDA_PRODUCTNAME=Fedora
:LANG=en_US.UTF-8
:TERM=dumb
:SHELL=/bin/bash
:TZ=Asia/Beirut
:XAUTHORITY=/root/.xauthfKmics
:GLADEPATH=/tmp/updates/:/tmp/updates/data/ui/:ui/:/usr/share/anaconda/ui/:/usr/share/python-meh/
:SHLVL=1
:GNOME_DISABLE_CRASH_DIALOG=1
:ANACONDA_PRODUCTVERSION=17
:ANACONDA_BUGURL=https://bugzilla.redhat.com/bugzilla/
:USERHELPER_UID=1000
:ANACONDA_ISFINAL=true
:_=/usr/bin/udisks
:PWD=/home/liveuser
:DESKTOP_STARTUP_ID=userhelper/Starting Install to Hard Drive/1175-0-localhost.localdomain_TIME0
Comment 1 mario 2012-07-30 09:57:13 EDT
Created attachment 601279 [details]
File: anaconda-tb-51VR8m
Comment 2 Jesse Keating 2012-07-30 13:25:30 EDT
Just to be clear, is this disk a windows dynamic disk?
Comment 3 Fedora End Of Life 2013-07-03 18:12:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 19:55:26 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.